Package: org.grails.gradle.plugin.model

## [Groovy] Class DefaultGrailsClasspath

- org.grails.gradle.plugin.model.DefaultGrailsClasspath

- All Implemented Interfaces and Traits:
    GrailsClasspath

      @groovy.transform.CompileStatic
      class DefaultGrailsClasspath
      extends java.lang.Object
      implements GrailsClasspath

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.net.URL>` | `dependencies` |
    `private java.lang.String` | `error` |
    `private java.util.List<java.net.URL>` | `profileDependencies` |
    `private static long` | `serialVersionUID` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.net.URL>` | `dependencies`
    `java.lang.String` | `error`
    `java.util.List<java.net.URL>` | `profileDependencies`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsClasspath ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.List<java.net.URL> dependencies

    - #### private java.lang.String error

    - #### private java.util.List<java.net.URL> profileDependencies

    - #### private static final long serialVersionUID

  - ### Property Detail

    - #### java.util.List<java.net.URL> dependencies

    - #### java.lang.String error

    - #### java.util.List<java.net.URL> profileDependencies

  - ### Constructor Detail

    - #### DefaultGrailsClasspath()